皇上,还记得我吗?我就是1999年那个Linux伊甸园啊-----24小时滚动更新开源资讯,全年无休!

phpMyAdmin 4.8.5 发布,修复重要安全漏洞

phpMyAdmin 4.8.5 发布了 ,该版本包含重要的安全修复程序,强烈建议用户进行升级。

其中修复如下的安全问题:

攻击者可以利用任意文件读取漏洞来删除服务器上的任意文件。此攻击要求 phpMyAdmin 将 $cfg[‘AllowArbitraryServer’] 指令设置为 true 进行运行,而不是默认值。攻击者还必须通过伪装成 MySQL 服务器运行恶意服务器进程。最近在其他几个相关项目中发现并修复了这个漏洞,似乎是由 PHP 中的错误引起的 (https://bugs.php.net/bug.php?id=77496)。

除了安全修复程序之外,还包括下面这些常规的错误修复:

  • 导出为 SQL 格式功能不可用
  • 将双因素身份验证添加到用户帐户时未显示 QR 码
  • 在 MySQL 8.0.11 及更高版本中添加新用户的问题
  • 与 Text_Plain_Sql 插件相关的冻结接口 (Frozen interface)
  • 缺少表级操作选项卡

下载地址:https://www.phpmyadmin.net/downloads/

phpMyAdmin 是一个非常受欢迎的 Web MySQL 数据库管理工具。它能够创建和删除数据库,创建/删除/修改表,删除/编辑/新增字段,执行 SQL 脚本等。

转自 https://www.oschina.net/news/103967/phpmyadmin-4-8-5-released

分享到:更多 ()